For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
      • The study object
      • GETList all studies
      • POSTCreate a draft study
      • GETList all studies in a project
      • GETRetrieve a study
      • DELDelete a study
      • PATCHUpdate a study
      • POSTTransition a study's status
      • POSTCreate a test study
      • GETGet taskflow progress
      • GETShow Study cost
      • GETList study submissions
      • GETCount study submissions by status
      • GETDownload credential usage report
      • GETDownload demographic data
      • POSTExport demographic data
      • GETGet demographic export history
      • POSTDuplicate a study
      • GETShow Study predicted recruitment time
      • POSTShow Study predicted recruitment time
      • POSTCalculate the study cost
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceStudies

List study submissions

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/studies/:id/submissions/
GET
/api/v1/studies/:id/submissions/
$curl https://api.prolific.com/api/v1/studies/id/submissions/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json"
1{
2 "results": [
3 {
4 "id": "60d9aadeb86739de712faee0",
5 "participant_id": "60bf9310e8dec401be6e9615",
6 "status": "ACTIVE",
7 "started_at": "2024-01-15T09:30:00Z",
8 "has_siblings": true,
9 "completed_at": "2024-01-15T09:45:00Z",
10 "study_code": "XYZ789",
11 "return_requested": "2024-01-16T10:00:00Z"
12 }
13 ]
14}
Returns basic information of the submissions, including the study id, participant id, status and start timestamp
Was this page helpful?
Previous

Show Study cost

Next

Count study submissions by status

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
Study id

Query parameters

orderingstringOptional

Field to sort results by. Prefix with - for descending order. Allowed values: started_at, completed_at, status, ip, time_taken, participant_id, study_code.

Response

List submissions
resultslist of objects
List of all submissions matching the criteria.

Errors

4XX
Client Request Error